Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.mock.web.portlet
Class MockBaseURL

    java.lang.Object
      org.springframework.mock.web.portlet.MockBaseURL

All Implemented Interfaces:
  javax.portlet.BaseURL

Direct Known Subclasses:
  MockPortletURL, MockResourceURL

    public abstract class MockBaseURL

extends java.lang.Object
implements javax.portlet.BaseURL

Mock implementation of the `BaseURL` interface.

Since:
  3.0
Author:
  Juergen Hoeller

Field Summary
`protected java.util.Map<java.lang.String,java.lang.String[]>` | `parameters`
`static java.lang.String` | `URL_TYPE_ACTION`
`static java.lang.String` | `URL_TYPE_RENDER`

Constructor Summary
`MockBaseURL()`

Method Summary
`void` | `addProperty(java.lang.String key, java.lang.String value)`
`protected java.lang.String` | `encodeParameter(java.lang.String name, java.lang.String value)`
`protected java.lang.String` | `encodeParameter(java.lang.String name, java.lang.String[] values)`
`java.lang.String` | `getParameter(java.lang.String name)`
`java.util.Map<java.lang.String,java.lang.String[]>` | `getParameterMap()`
`java.util.Set<java.lang.String>` | `getParameterNames()`
`java.lang.String[]` | `getParameterValues(java.lang.String name)`
`java.util.Map<java.lang.String,java.lang.String[]>` | `getProperties()`
`boolean` | `isSecure()`
`void` | `setParameter(java.lang.String key, java.lang.String value)`
`void` | `setParameter(java.lang.String key, java.lang.String[] values)`
`void` | `setParameters(java.util.Map<java.lang.String,java.lang.String[]> parameters)`
`void` | `setProperty(java.lang.String key, java.lang.String value)`
`void` | `setSecure(boolean secure)`
`void` | `write(java.io.Writer out)`
`void` | `write(java.io.Writer out, boolean escapeXML)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.portlet.BaseURL
`toString`

Field Detail

### URL_TYPE_RENDER

    public static final java.lang.String URL_TYPE_RENDER

See Also:
  Constant Field Values

### URL_TYPE_ACTION

    public static final java.lang.String URL_TYPE_ACTION

See Also:
  Constant Field Values

### parameters

    protected final java.util.Map<java.lang.String,java.lang.String[]> parameters

Constructor Detail

### MockBaseURL

    public MockBaseURL()

Method Detail

### setParameter

    public void setParameter(java.lang.String key,
                             java.lang.String value)

  Specified by:
    `setParameter` in interface `javax.portlet.BaseURL`

### setParameter

    public void setParameter(java.lang.String key,
                             java.lang.String[] values)

  Specified by:
    `setParameter` in interface `javax.portlet.BaseURL`

### setParameters

    public void setParameters(java.util.Map<java.lang.String,java.lang.String[]> parameters)

  Specified by:
    `setParameters` in interface `javax.portlet.BaseURL`

### getParameterNames

    public java.util.Set<java.lang.String> getParameterNames()

### getParameter

    public java.lang.String getParameter(java.lang.String name)

### getParameterValues

    public java.lang.String[] getParameterValues(java.lang.String name)

### getParameterMap

    public java.util.Map<java.lang.String,java.lang.String[]> getParameterMap()

  Specified by:
    `getParameterMap` in interface `javax.portlet.BaseURL`

### setSecure

    public void setSecure(boolean secure)
                   throws javax.portlet.PortletSecurityException

  Specified by:
    `setSecure` in interface `javax.portlet.BaseURL`
  Throws:
    `javax.portlet.PortletSecurityException`

### isSecure

    public boolean isSecure()

### write

    public void write(java.io.Writer out)
               throws java.io.IOException

  Specified by:
    `write` in interface `javax.portlet.BaseURL`
  Throws:
    `java.io.IOException`

### write

    public void write(java.io.Writer out,
                      boolean escapeXML)
               throws java.io.IOException

  Specified by:
    `write` in interface `javax.portlet.BaseURL`
  Throws:
    `java.io.IOException`

### addProperty

    public void addProperty(java.lang.String key,
                            java.lang.String value)

  Specified by:
    `addProperty` in interface `javax.portlet.BaseURL`

### setProperty

    public void setProperty(java.lang.String key,
                            java.lang.String value)

  Specified by:
    `setProperty` in interface `javax.portlet.BaseURL`

### getProperties

    public java.util.Map<java.lang.String,java.lang.String[]> getProperties()

### encodeParameter

    protected java.lang.String encodeParameter(java.lang.String name,
                                               java.lang.String value)

### encodeParameter

    protected java.lang.String encodeParameter(java.lang.String name,
                                               java.lang.String[] values)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD